> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.littglobal.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.littglobal.com/_mcp/server.

# Redeem Promotion

POST TBD/api/v2/gifts/redeem-promotion

This API endpoint allows users to redeem their promotions. Upon successful redemption, the promotion's status gets updated in the system, marking it as utilized, and the system returns the details of the redeemed promotion.

### Request Body

- `user_promotion_id` (string): The unique identifier of the promotion that the user wants to redeem.
    

### Response

- `user_promotion_id` (string): The unique identifier of the redeemed promotion.
    
- `user_id` (string): The unique identifier of the user who has redeemed the promotion.
    
- `promotion_id` (string): The unique identifier of the redeemed promotion.
    
- `barcode_id` (string): If applicable, the identifier of the barcode associated with the promotion. Null if no barcode is associated.
    
- `redeemed_at` (string): The date and time when the promotion was redeemed.
    
- `expiry_date` (string): The date and time when the promotion would have expired if not redeemed.
    
- `created_at` (string): The date and time when the promotion record was first created.
    
- `updated_at` (string): The date and time when the promotion was redeemed. This marks the last update to the promotion record.

Reference: https://docs.littglobal.com/litt-white-label/api-reference/gift-card-promotion/redeem-promotion

## Request

### Query parameters

- `api_token` (string, optional)

## Response

### 200

Redeem Promotion

- `message` (string, optional)
- `api` (string, optional)
- `status` (string, optional)
- `data` (ApiV2GiftsRedeemPromotionPostResponsesContentApplicationJsonSchemaData, optional)

## Types

### ApiV2GiftsRedeemPromotionPostResponsesContentApplicationJsonSchemaData

- `user_promotion_id` (string, optional)
- `user_id` (string, optional)
- `promotion_id` (string, optional)
- `barcode_id` (any, optional, nullable)
- `redeemed_at` (string, optional)
- `expiry_date` (string, optional)
- `created_at` (string, optional)
- `updated_at` (string, optional)

## Examples

**Response**

```json
{
  "message": "Successfully redeemed the promotions.",
  "api": "redeem-promotion",
  "status": "success",
  "data": {
    "user_promotion_id": "2f74c956-39ad-4f7f-9eb6-bf1a7326785c",
    "user_id": "2ef350a0-f8cd-4730-8e29-9b5fc5db0ada",
    "promotion_id": "2fe07f06-aaf0-49a4-a543-c2001245639a",
    "barcode_id": null,
    "redeemed_at": "2024-04-29 08:34:54",
    "expiry_date": "2024-11-28 07:59:59",
    "created_at": "2024-04-29 08:27:47",
    "updated_at": "2024-04-29 08:34:54"
  }
}
```

**SDK Code**

```python Gift Card & Promotion_redeemPromotion_example
import requests

url = "https://tbd/api/v2/gifts/redeem-promotion"

querystring = {"api_token":"{{token}}"}

response = requests.post(url, params=querystring)

print(response.json())
```

```javascript Gift Card & Promotion_redeemPromotion_example
const url = 'https://tbd/api/v2/gifts/redeem-promotion?api_token=%7B%7Btoken%7D%7D';
const options = {method: 'POST'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Gift Card & Promotion_redeemPromotion_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://tbd/api/v2/gifts/redeem-promotion?api_token=%7B%7Btoken%7D%7D"

	req, _ := http.NewRequest("POST", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Gift Card & Promotion_redeemPromotion_example
require 'uri'
require 'net/http'

url = URI("https://tbd/api/v2/gifts/redeem-promotion?api_token=%7B%7Btoken%7D%7D")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)

response = http.request(request)
puts response.read_body
```

```java Gift Card & Promotion_redeemPromotion_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://tbd/api/v2/gifts/redeem-promotion?api_token=%7B%7Btoken%7D%7D")
  .asString();
```

```php Gift Card & Promotion_redeemPromotion_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://tbd/api/v2/gifts/redeem-promotion?api_token=%7B%7Btoken%7D%7D');

echo $response->getBody();
```

```csharp Gift Card & Promotion_redeemPromotion_example
using RestSharp;

var client = new RestClient("https://tbd/api/v2/gifts/redeem-promotion?api_token=%7B%7Btoken%7D%7D");
var request = new RestRequest(Method.POST);
IRestResponse response = client.Execute(request);
```

```swift Gift Card & Promotion_redeemPromotion_example
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://tbd/api/v2/gifts/redeem-promotion?api_token=%7B%7Btoken%7D%7D")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```